<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Services\Analyzators;

/**
 * Interface DataAnalyzatorContract
 *
 * @package Seka\Portal\Modul\Statistiky\Services\Analyzators
 */
interface DataAnalyzatorContract
{
    /**
     *
     */
    public const LEXICAL = 'lexical';

    /**
     * @param string $type
     * @param mixed  $args
     *
     * @return bool
     */
    public function analyze(string $type, $args): bool;

    /**
     * @return array
     */
    public function getErrors(): array;

    /**
     * @return array
     */
    public function getResults(): array;
}
